--
-- @Author   Fumski
-- @Version  1.1
-- @Date     04/06/12
--

Rozrzutnik = {};

function Rozrzutnik.prerequisitesPresent(specializations)
    return true;
end;

function Rozrzutnik:load(xmlFile)

	self.powerShaftNode = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.powerShaft#index"));
	self.detachedPowerShaftNode = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.detachedPowerShaft#index"));

end;

function Rozrzutnik:delete()
end;

function Rozrzutnik:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Rozrzutnik:keyEvent(unicode, sym, modifier, isDown)
end;

function Rozrzutnik:update(dt)
end;

function Rozrzutnik:updateTick(dt)
	if self.attacherVehicle ~= nil then
		if self.powerShaftNode ~= nil then 
			setVisibility(self.powerShaftNode, true);
		end;
		if self.detachedPowerShaftNode ~= nil then 
			setVisibility(self.detachedPowerShaftNode, false);
		end;
	else
		if self.powerShaftNode ~= nil then 
			setVisibility(self.powerShaftNode, false);
		end;
		if self.detachedPowerShaftNode ~= nil then 
			setVisibility(self.detachedPowerShaftNode, true);
		end;
	end;
    if self.setAnimationTime ~= nil then
		if self:getIsActive() and self.isTurnedOn then
			self:setAnimationTime(1, 1);
        else
			self:setAnimationTime(1, 0);
        end;
    end;
end;

function Rozrzutnik:draw()
end;

function Rozrzutnik:onLeave()
end;

function Rozrzutnik:onEnter()
end;
